<!-- cat-prices.xsl -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl"
                xmlns:html="http://www.w3.org/TR/REC-html40"
                result-ns="html">

<xsl:template match="cat-prices">
	<html:html>
		<html:head>
			<html:title><xsl:text>Prices</xsl:text></html:title>
		</html:head>
		<html:body>
			<html:h2 align="center"><xsl:text>Prices</xsl:text></html:h2>
			<html:dl><xsl:apply-templates/></html:dl>
		</html:body>
	</html:html>
</xsl:template>

<xsl:template match="item">
	<html:dt><html:b>
		<xsl:value-of select="@id"/>
	</html:b></html:dt>
	<xsl:apply-templates select="price"/>
</xsl:template>

<xsl:template match="price">
	<html:dd>
		<xsl:if test="@size">
			<xsl:value-of select="@size"/>
			<xsl:text> </xsl:text>
		</xsl:if>
		<xsl:if test="@color">
			<xsl:value-of select="@color"/>
			<xsl:text> </xsl:text>
		</xsl:if>
		<xsl:apply-templates/>
		<xsl:if test=".[@sale='yes']">
			<html:b><xsl:text> Sale!</xsl:text></html:b>
		</xsl:if>
		<xsl:if test=".[@sale='no']">
			<xsl:if test="../price[@sale='yes']">
				<xsl:text> Reg.</xsl:text>
			</xsl:if>
		</xsl:if>
	</html:dd>
</xsl:template>

</xsl:stylesheet>